package namespace

import (
	"errors"
	"time"
)

type Namespace struct {
	ID                int64
	Name              string
	LastSeen          time.Time
	AllowanceDuration time.Duration
	FileQuota         FileSizeQuota
	Usage             Usage
}

var (
	ErrDuplicate    = errors.New("record already exists")
	ErrExceedQuota  = errors.New("file too large")
	ErrQuotaInvalid = errors.New("quota invalid")
	ErrNotExists    = errors.New("row not exists")
	ErrUpdateFailed = errors.New("update failed")
	ErrDeleteFailed = errors.New("delete failed")
)
